Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: dpkg error bij update  (gelezen 7773 keer)

Offline heir4c

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Gepost op: 2008/09/11, 23:57:25 »
Hallo,

Ik krijg volgende melding (in zone 'details') tijdens het updaten:

dpkg: fout in buffer_read(fd): kopiëren van informatiebestand  '/var/lib/dkpg/availible' : Invoer-/uitvoerfout
E: Sub-process /usr/bin/dpkg returned an error code (2)
Een pakket weigerde installatie. Bezig met herstel:

Hierna gebeurd  er echter niets.
Kan iemand mijn helpen
Thanks.

Offline prikkebeen2

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #1 Gepost op: 2008/09/12, 00:08:12 »
Zou je dit eens willen proberen in een terminal venster? dpkg --clean-avail en dan
apt-get update
Wie de gemakkelijkste weg niet zoekt is een luiaard. :)
Linux User #228066

Offline heir4c

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #2 Gepost op: 2008/09/12, 00:15:31 »
dan krijg ik het volgende

dpkg: onbekende optie --clean-avail

Type dpkg --help voor hulp met installatie en deïnstallatie van pakketten
  • ;

Gebruik 'dselect' of 'aptitude' voor gebruikersvriendelijk pakketbeheer;
Type dpkg -Dhelp voor een lijst van dpkg debugvlaggen;
Type dpkg --force-help voor een lijst met forceer-opties;
Type dpkg-deb --help voor hulp met manipuleren van *.deb bestanden;
Type dpkg --license voor auteursrecht, licentie en ontbreken van garantie (GNU GPL)
  • .


Opties gemarkeerd met
  • produceren een hoop uitvoer - pijp het door `less' of `more' !

Offline prikkebeen2

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #3 Gepost op: 2008/09/12, 00:36:34 »
Sorry, voor beide commando's moet je sudo typen: sudo --clean-avail
Wie de gemakkelijkste weg niet zoekt is een luiaard. :)
Linux User #228066

Offline heir4c

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #4 Gepost op: 2008/09/12, 00:44:04 »
't is niets prikkebeen, dat heb ik er ook voor gezet, maar gaf niets.
Heb in help gekeken en het is niet clean maar clear, maar ook hiermee niets.
Heb dan eerst in synaptic gekeken en daar heb ik brasero eerst upgedate. blijkbaar was dit het probleem. De oude versie stond er nog op.
Nadien nog eens update-manager gestart en die is leeg, zodus alles blijkt in orde en het was dus blijkbaar deze oude versie die problemen gaf.

Bedankt voor de snelle reaktie.

Offline heir4c

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #5 Gepost op: 2008/09/13, 17:07:16 »
heb nog altijd problemen met dpkg.
(in zone 'details')
Database inlezen ... dpkg: fout bij afhandelen van /var/cache/apt/ archives/sudo_1.6.9p10-1ubuntu3.3_i386.deb (--unpack) : fout in buffer_read(fd : bestandenlijst-bestand voor pakket 'libegroupwisel.2-13' : Invoer-/uitvoerfout
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/sudo_1.6.9p10-1ubuntu3.3-i386.deb
Afhandeling werd afgebroken omdat er te veel fouten waren.
E: Sub-process /usr/bin/dpkg returned an error code (1)
Een pakket weigerde installatie. Bezig met herstel:

(Er gebeurt niets)

Dan in nieuw venster:

E: /var/cache/apt/archives/sudo_1.6.9p10-1ubuntu3.3_i386.deb: fout in buffer_read(fd)

Ik denk dat dit aan mijn computer zelf ligt maar weet het niet zeker. Ik denk dat dit te maken heeft met de swap of RAM.

Ik heb intussen even gekeken in /var/cach/apt/ .......enz.... en kan dit pakket installeren. Moet ik dat dan doen of...???

Offline heir4c

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #6 Gepost op: 2008/09/14, 16:20:08 »
Na wat gegoogled te hebben, stel ik vast dat er meerdere mensen problemen hebben met: 'buffer_read(fd)'
En dit al jaren.
Niemand kan hen blijkbaar helpen.
Niemand die dit onderzocht heeft.

betekent fd: floppy disk
                    Files and Directory
                    of de fd die staat bij info van de netwerkkaart
                    .....???

Ik dan dus geen enkele update meer doen, elke keer error.

sudo apt-get autoclean
sudo apt-get update
sudo apt-get upgrade
of dergelijke helpen niet.

Een paar errors:

E: /var/cache/apt/archives/sudo_1.6.9p10-1ubuntu3.3_i386.deb: fout in buffer_read(fd)

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.
...

Kan iemand daar werk van maken, please. In naam van al diegene met dit probleem.
Thanks!!!

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
dpkg error bij update
« Reactie #7 Gepost op: 2008/09/14, 16:51:36 »
En sudo dpkg --configure -a werkt niet?
Is je schijf misschien vol?

Offline heir4c

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #8 Gepost op: 2008/09/14, 17:02:32 »
Nee, dat werkt ook niet. Heb zojuist nog eens geprobeerd maar het blijft hetzelfde.
En nee, mijn schijf is niet vol.

Offline prikkebeen2

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #9 Gepost op: 2008/09/14, 17:34:41 »
Kun je dan dit eens doen?

sudo dpkg --configure -a
sudo apt-get update
sudo apt-get upgrade
Wie de gemakkelijkste weg niet zoekt is een luiaard. :)
Linux User #228066

Offline heir4c

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #10 Gepost op: 2008/09/14, 17:47:59 »
Citaat van: prikkebeen2
Kun je dan dit eens doen?

sudo dpkg --configure -a
sudo apt-get update
sudo apt-get upgrade

gerolf@heir4c:~$ sudo dpkg --configure -a
[sudo] password for gerolf:
gerolf@heir4c:~$ sudo apt-get update
Geraakt http://archive.canonical.com hardy Release.gpg
Genegeerd http://archive.canonical.com hardy/partner Translation-nl           
Geraakt http://archive.ubuntu.com hardy Release.gpg                           
Geraakt http://archive.ubuntu.com hardy/main Translation-nl
Genegeerd http://ppa.launchpad.net hardy Release.gpg                           
Genegeerd http://ppa.launchpad.net hardy/main Translation-nl                   
Genegeerd http://archive.ubuntu.com hardy/restricted Translation-nl           
Geraakt http://archive.ubuntu.com hardy/universe Translation-nl
Genegeerd http://archive.ubuntu.com hardy/multiverse Translation-nl
Geraakt http://archive.ubuntu.com hardy-updates Release.gpg
Genegeerd http://archive.ubuntu.com hardy-updates/main Translation-nl
Genegeerd http://archive.ubuntu.com hardy-updates/restricted Translation-nl
Genegeerd http://archive.ubuntu.com hardy-updates/universe Translation-nl
Geraakt http://archive.canonical.com hardy Release         
Genegeerd http://archive.ubuntu.com hardy-updates/multiverse Translation-nl
Ophalen:1 http://archive.ubuntu.com hardy-backports Release.gpg [189B]
Genegeerd http://archive.ubuntu.com hardy-backports/main Translation-nl
Genegeerd http://archive.ubuntu.com hardy-backports/restricted Translation-nl
Genegeerd http://archive.ubuntu.com hardy-backports/universe Translation-nl
Genegeerd http://archive.ubuntu.com hardy-backports/multiverse Translation-nl
Geraakt http://archive.ubuntu.com hardy-security Release.gpg
Genegeerd http://archive.ubuntu.com hardy-security/main Translation-nl
Genegeerd http://archive.ubuntu.com hardy-security/restricted Translation-nl
Genegeerd http://archive.ubuntu.com hardy-security/universe Translation-nl
Genegeerd http://archive.ubuntu.com hardy-security/multiverse Translation-nl
Geraakt http://archive.ubuntu.com hardy Release           
Ophalen:2 http://ppa.launchpad.net hardy Release [27,6kB] 
Genegeerd http://ppa.launchpad.net hardy/main Packages
Geraakt http://ppa.launchpad.net hardy/main Packages
Geraakt http://archive.ubuntu.com hardy-updates Release                       
Ophalen:3 http://archive.ubuntu.com hardy-backports Release [44,0kB]           
Geraakt http://archive.canonical.com hardy/partner Packages                   
Geraakt http://archive.canonical.com hardy/partner Sources                     
Geraakt http://archive.ubuntu.com hardy-security Release                       
Geraakt http://archive.ubuntu.com hardy/main Packages
Geraakt http://archive.ubuntu.com hardy/restricted Packages
Geraakt http://archive.ubuntu.com hardy/main Sources 
Geraakt http://archive.ubuntu.com hardy/restricted Sources
Geraakt http://archive.ubuntu.com hardy/universe Packages
Geraakt http://archive.ubuntu.com hardy/universe Sources
Geraakt http://archive.ubuntu.com hardy/multiverse Packages
Geraakt http://archive.ubuntu.com hardy/multiverse Sources
Geraakt http://archive.ubuntu.com hardy-updates/main Packages
Geraakt http://archive.ubuntu.com hardy-updates/restricted Packages
Geraakt http://archive.ubuntu.com hardy-updates/main Sources
Geraakt http://archive.ubuntu.com hardy-updates/restricted Sources
Geraakt http://archive.ubuntu.com hardy-updates/universe Packages
Geraakt http://archive.ubuntu.com hardy-updates/universe Sources
Geraakt http://archive.ubuntu.com hardy-updates/multiverse Packages
Geraakt http://archive.ubuntu.com hardy-updates/multiverse Sources
Ophalen:4 http://archive.ubuntu.com hardy-backports/main Packages [108kB]
Ophalen:5 http://archive.ubuntu.com hardy-backports/restricted Packages [14B]
Ophalen:6 http://archive.ubuntu.com hardy-backports/universe Packages [80,6kB]
Ophalen:7 http://archive.ubuntu.com hardy-backports/multiverse Packages [13,9kB]
Geraakt http://archive.ubuntu.com hardy-security/main Packages
Geraakt http://archive.ubuntu.com hardy-security/restricted Packages
Geraakt http://archive.ubuntu.com hardy-security/main Sources
Geraakt http://archive.ubuntu.com hardy-security/restricted Sources
Geraakt http://archive.ubuntu.com hardy-security/universe Packages
Geraakt http://archive.ubuntu.com hardy-security/universe Sources
Geraakt http://archive.ubuntu.com hardy-security/multiverse Packages
Geraakt http://archive.ubuntu.com hardy-security/multiverse Sources
247kB opgehaald in 1s (150kB/s)                     
Pakketlijsten worden ingelezen... Klaar
gerolf@heir4c:~$ sudo apt-get upgrade
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
Statusinformatie wordt gelezen... Klaar
De volgende pakketten zijn achtergehouden:
  k3b
De volgende pakketten zullen opgewaardeerd worden:
  app-install-data-commercial compiz-fusion-plugins-main deskbar-applet
  libfreetype6 libxml2 libxml2-utils python-libxml2 sudo
8 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 1 niet opgewaardeerd.
Er moeten 3172kB aan archieven opgehaald worden.
Na deze handeling, zal er 32,8kB extra schijfruimte gebruikt worden.
Wilt u doorgaan [J/n]? J
Ophalen:1 http://archive.ubuntu.com hardy-updates/main sudo 1.6.9p10-1ubuntu3.3 [176kB]
Ophalen:2 http://archive.ubuntu.com hardy-updates/main app-install-data-commercial 9.3 [20,3kB]
Ophalen:3 http://archive.ubuntu.com hardy-security/main libxml2 2.6.31.dfsg-2ubuntu1.2 [786kB]
Ophalen:4 http://archive.ubuntu.com hardy-updates/main deskbar-applet 2.22.3.1-0ubuntu1 [330kB]
Ophalen:5 http://archive.ubuntu.com hardy-security/main libfreetype6 2.3.5-1ubuntu4.8.04.1 [346kB]
Ophalen:6 http://archive.ubuntu.com hardy-security/main libxml2-utils 2.6.31.dfsg-2ubuntu1.2 [34,0kB]
Ophalen:7 http://archive.ubuntu.com hardy-security/main python-libxml2 2.6.31.dfsg-2ubuntu1.2 [263kB]
Ophalen:8 http://archive.ubuntu.com hardy-updates/main compiz-fusion-plugins-main 0.7.4-0ubuntu6 [1217kB]
3172kB opgehaald in 2s (1478kB/s)                   
(Database inlezen ... dpkg: fout bij afhandelen van /var/cache/apt/archives/sudo_1.6.9p10-1ubuntu3.3_i386.deb (--unpack):
 fout in buffer_read(fd): bestandenlijst-bestand voor pakket `libegroupwise1.2-13': Invoer-/uitvoerfout
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/sudo_1.6.9p10-1ubuntu3.3_i386.deb
Afhandeling werd afgebroken omdat er te veel fouten waren.
E: Sub-process /usr/bin/dpkg returned an error code (1)
gerolf@heir4c:~$

Daarna kreeg ik in het paneel een melding van een crash-rapport

Offline heir4c

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #11 Gepost op: 2008/09/14, 17:58:01 »
Zowiezo doe ik een nieuwe installatie met 8.10 maar heb mijn cd 8.04.aan iemand anders gegeven die interesse had;
Maar het blijft waarschijnlijk een probleem voor vele anderen.
En niet enkel met spicifiek mijn programma's of directory's te maken. Bij anderen zijn het verschillende problemen.
Het is echter steeds die: 'buffer_read(fd)' en de: 'returned error code (1)'

Offline Mij

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #12 Gepost op: 2008/09/14, 17:59:29 »
Citaat van: heir4c
Zowiezo doe ik een nieuwe installatie met 8.10 maar heb mijn cd 8.04.aan iemand anders gegeven die interesse had;
Maar het blijft waarschijnlijk een probleem voor vele anderen.
En niet enkel met spicifiek mijn programma's of directory's te maken. Bij anderen zijn het verschillende problemen.
Het is echter steeds die: 'buffer_read(fd)' en de: 'returned error code (1)'
Probeer eens sudo apt-get install -f
en dan wellicht sudo apt-get clean en sudo apt-get autoclean

Offline prikkebeen2

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #13 Gepost op: 2008/09/14, 18:02:54 »
Ik zou dit bestand eens opnieuw proberen te installeren: libegroupwise1.2-13 of het hele Evolution pakket. Ook zou ik de backports uitzetten. Ik had ook problemen en heb hier dat advies gekregen van Pjotr en sindsdien gaat het goed.
Je kunt eerst proberen nadat je de backports uit hebt gezet bij Softwarebronnen de commando's nog een keer in te geven.
Wie de gemakkelijkste weg niet zoekt is een luiaard. :)
Linux User #228066

Offline heir4c

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #14 Gepost op: 2008/09/14, 18:03:38 »
gerolf@heir4c:~$ sudo apt-get install -f
[sudo] password for gerolf:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd      
Statusinformatie wordt gelezen... Klaar
De volgende pakketten werden automatisch geïnstalleerd en zijn niet langer nodig:
  libstrigiqtdbusclient0 libclucene0ldbl gnustep-base-common libstdc++5
  python-pexpect libxine1-x librdf0 kdebase-runtime-data-common
  gnustep-gui-common libxine1-misc-plugins libxcb-xv0 libqt4-qt3support
  libevent1 mysql-common libxine1-bin librasqal0 libmysqlclient15off
  libsoprano4 libxine1-ffmpeg libgmp3c2 kdelibs5-data libxcb-shape0
  gnustep-common libqt4-sql libstreamanalyzer0 libxine1-plugins
  gnustep-back-common libpq5 libstreams0 libmodplug0c2 libimlib2 gcc-3.3-base
  libxcb-shm0 libxine1-console libxine1
Gebruik 'apt-get autoremove' om ze te verwijderen.
0 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 9 niet opgewaardeerd.
gerolf@heir4c:~$

moet ik deze verwijderen???

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
dpkg error bij update
« Reactie #15 Gepost op: 2008/09/14, 18:04:48 »
Weet niet of dit een goed idee is:
opstarten in recoverymode, kiezen voor drop to root command line.
Daar ingevenapt-get --purge remove sudo
apt-get clean
apt-get update
apt-get install sudo
apt-get upgrade
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline heir4c

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #16 Gepost op: 2008/09/14, 18:11:44 »
Ok, ik kan dat proberen. Als je niets meer van me hoort is de boel naar de ... :-)
Ik ben toch maar aan het experimenteren en progs uit te proberen, dus...

Offline Mij

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #17 Gepost op: 2008/09/14, 18:12:24 »
Citaat van: heir4c
gerolf@heir4c:~$ sudo apt-get install -f
[sudo] password for gerolf:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd      
Statusinformatie wordt gelezen... Klaar
De volgende pakketten werden automatisch geïnstalleerd en zijn niet langer nodig:
  libstrigiqtdbusclient0 libclucene0ldbl gnustep-base-common libstdc++5
  python-pexpect libxine1-x librdf0 kdebase-runtime-data-common
  gnustep-gui-common libxine1-misc-plugins libxcb-xv0 libqt4-qt3support
  libevent1 mysql-common libxine1-bin librasqal0 libmysqlclient15off
  libsoprano4 libxine1-ffmpeg libgmp3c2 kdelibs5-data libxcb-shape0
  gnustep-common libqt4-sql libstreamanalyzer0 libxine1-plugins
  gnustep-back-common libpq5 libstreams0 libmodplug0c2 libimlib2 gcc-3.3-base
  libxcb-shm0 libxine1-console libxine1
Gebruik 'apt-get autoremove' om ze te verwijderen.
0 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 9 niet opgewaardeerd.
gerolf@heir4c:~$

moet ik deze verwijderen???
Zou je kunnen doen maar hier http://forum.ubuntu-nl.org/message/303458#11 lukte het ook al niet

Offline heir4c

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #18 Gepost op: 2008/09/14, 18:15:37 »
Hmm...Juist, was ik vergeten.:-)

Ik ga prosper zijn aanwijzingen even proberen. we zullen wel zien.

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #19 Gepost op: 2008/09/14, 19:22:51 »
sudo dpkg --clear-avail && sudo apt-get update

dat is hem.

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #20 Gepost op: 2008/09/14, 19:30:23 »
of: verder kun je met: en/of gksudo nautilus (in de terminal)
navigeren naar: /var/lib/dpkg/info
en op zoek gaan naar gebroken bestanden. (tenminste in gnome...)
daarna nautilus afsluiten.

Offline heir4c

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #21 Gepost op: 2008/09/14, 20:14:22 »
Ik was even prosper zijn aanwijzingen uit te voeren maar dat hielp niet. 't Is er niet op verbeterd, integendeel. mijn synaptic begint nu te flippen en blokkeerd
Nu ja ik zie wel.

Hallo leoqaunt,
Ik zit nu in nautilus (grafisch), en in /var/lib/dpkg/info.
Zal ik die eventuele gebroken pakketten automatisch zien of moet ik iets aanklikken?

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #22 Gepost op: 2008/09/14, 21:03:39 »
eerst deze: sudo dpkg --clear-avail && sudo apt-get update

(de vorige tip van iemand was zowat goed, maar het is clear niet clean.)

verder kun je binnen het bestand zoeken op gebroken pakketten via een zoekopdracht.

Offline heir4c

  • Lid
  • Steunpunt: Nee
dpkg error bij update
« Reactie #23 Gepost op: 2008/09/14, 22:34:43 »
Dit zal even duren denk ik,maar daar leer ik tenminste iets van, hopelijk.
Alvast bedankt iedereen.
Hopelijk kom ik er uit.